bzr branch download of openWNS

Asked by Eva Kalyvianaki on 2009-02-18

Hi,

I am trying to compile openWNS on openSUSE with gcc 4.3.2 and python 2.6 but I got a number
of errors. I found a bug report and fix regarding compilation problems with gcc 4.3 and I tried to download
the branch as shown in: http://www.openwns.org/Wiki/Download but getting the branch does not work
(I used both http and https). However, I was able to download the gcc4.3-fix. How can I download the
myOpenWNS branch to apply the gcc4.3 fix? Or do you know any other workaround? I tried
compiling with gcc4.1 (not the default system compiler) but then I got ld problems.

Thanks,
Eva

Question information

Language:
English Edit question
Status:
Answered
For:
openWNS SDK Edit question
Assignee:
No assignee Edit question
Last query:
2009-02-18
Last reply:
2009-03-21

Dear Eva,

you should fetch the current main line from launchpad. You can do this with the commands:

bzr branch lp:openwns-sdk myOpenWNS
cd myOpenWNS
./playground.py upgrade --noAsk

The Download page was outdated. I updated that now. The fix for the bugreport is already merged back to the main line, so you should have the appropriate fixes available. If you still face problems compiling the openWNS, please come back and tell us what the compile errors are. You can also open a bug for the issues you find.

Sorry for the late answer,
  Daniel

Dear Eva,

did you get along with the installation method? Do you have any further problems when compiling with the new compiler version and running on python version 2.6? Please let us know of any issues. We will be happy to help.

Best Regards,
  Daniel

Can you help with this problem?

Provide an answer of your own, or ask Eva Kalyvianaki for more information if necessary.

To post a message you must log in.